Bug 705 - v4l-utils-qt4 binary lacks executable flag
: v4l-utils-qt4 binary lacks executable flag
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Marathon
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-25 15:00 MSD by Mamut Ghiunhan
Modified: 2012-08-29 09:43 MSD (History)
3 users (show)

See Also:
RPM Package: v4l-utils-qt4
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mamut Ghiunhan 2012-08-25 15:00:25 MSD
Description of problem: The /usr/bin/qv4l2 binary from v4l-utils-qt4 package lacks executable flag.

┌─[ venerix @ shakuras ] - [ ~ ]
└─[$]> ls -la /usr/bin|grep qv4l2
-rw-r--r--   1 root   root       164900 06.05.2012 04:10 qv4l2

┌─[ venerix @ shakuras ] - [ ~ ]
└─[$]> /usr/bin/qv4l2
bash: /usr/bin/qv4l2: Permission denied


Version-Release number of selected component (if applicable): v4l-utils-qt4-0.8.5-2


How reproducible: Install v4l-utils-qt4 package and try to launch it. Nothing happens from gui, and from cli permission denied error is displayed. Chmod binary to 755 and it works flawless.


Steps to Reproduce:
1. install v4l-utils-qt4 package
2. try to launch it
3. notting happens from gui, permission denied error from cli
Comment 1 symbianflo 2012-08-25 20:15:10 MSD
*** Bug 706 has been marked as a duplicate of this bug. ***
Comment 2 Andrey Bondrov 2012-08-25 20:24:33 MSD
All file permissions are fixed in v4l-utils 0.8.5-3.

Advisory: "Fix incorrect file permissions".

https://abf.rosalinux.ru/build_lists/697772
https://abf.rosalinux.ru/build_lists/697773
Comment 3 Vladimir Potapov 2012-08-28 18:39:16 MSD
v4l-utils-qt4-0.8.5-3-rosa.lts2012.0
*************** Advisory *****************
All file permissions are fixed
*****************************************
QA Verified